from typing import Any, Mapping

from libbot.sync import config_get
from mongodb_migrations.cli import MigrationManager
from mongodb_migrations.config import Configuration


def migrate_database() -> None:
    """Apply migrations from folder `migrations/` to the database"""
    db_config: Mapping[str, Any] = config_get("database")

    manager_config = Configuration(
        {
            "mongo_host": db_config["host"],
            "mongo_port": db_config["port"],
            "mongo_database": db_config["name"],
            "mongo_username": db_config["user"],
            "mongo_password": db_config["password"],
        }
    )
    manager = MigrationManager(manager_config)
    manager.run()
